PETSc version 3.15.5
Fix/Edit manual page

# MatAssembled

Indicates if a matrix has been assembled and is ready for use; for example, in matrix-vector product.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatAssembled(Mat mat,PetscBool  *assembled)

Not Collective

### Input Parameter

| mat | - the matrix

### Output Parameter

| assembled | - PETSC_TRUE or PETSC_FALSE

### See Also

MatAssemblyEnd(), MatSetValues(), MatAssemblyBegin()

### Level

advanced

### Location

src/mat/interface/matrix.c

### Examples

src/snes/tutorials/ex58.c.html
src/tao/unconstrained/tutorials/eptorsion1.c.html
src/tao/unconstrained/tutorials/minsurf2.c.html
src/tao/unconstrained/tutorials/rosenbrock1.c.html
src/tao/unconstrained/tutorials/rosenbrock2.c.html
src/tao/unconstrained/tutorials/rosenbrock3.c.html
src/tao/unconstrained/tutorials/rosenbrock1f.F90.html
src/tao/bound/tutorials/plate2.c.html
src/tao/bound/tutorials/jbearing2.c.html
src/tao/bound/tutorials/plate2f.F90.html
src/tao/complementarity/tutorials/minsurf1.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages